%define name    testdisk
%define version 6.13
%define rel     %mkrel 1
%define ver_e2fsprogs 1.35
%define ver_progsreiserfs 0.3.1-rc8
%define ver_ntfsprogs 2.0.0

Summary:	Tool to check and undelete partition
Summary(pl):	Narzdzie sprawdzajce i odzyskujce partycje
Summary(fr):	Outil pour vrifier et restaurer des partitions
Name:		%name
Version:	%version
Release:	%rel
License:	GPLv2+
Group:		System/Kernel and hardware
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
Source1:	progsreiserfs-%ver_progsreiserfs.tar.bz2
Patch0:		progsreiserfs-journal.patch
# Upstream patch
Patch1:		photorec_611_exif_bound_checking_v2.patch
URL:		http://www.cgsecurity.org/wiki/TestDisk
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:  e2fsprogs-devel >= %ver_e2fsprogs
BuildRequires:  libntfs-devel >= %ver_ntfsprogs
BuildRequires:	jpeg-devel
BuildRequires:	libuuid-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%package -n photorec
Summary:	Data recovery software
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description
Tool to check and undelete partition. Works with the following
filesystems:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS and HFS+, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux Ext2 and Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information 
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2K/XP/2003/Vista )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System 

%description -l pl
Narzdzie sprawdzajce i odzyskujace partycje. Pracuje z partycjami:
    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS, Compressed File System
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS and HFS+, Hierarchical File System
    * JFS, IBM's Journaled File System
    * Linux Ext2 and Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information
    * Linux Swap (versions 1 and 2)
    * LVM and LVM2, Linux Logical Volume Manager 
    * Mac partition map
    * Novell Storage Services NSS
    * NTFS ( Windows NT/2K/XP/2003/Vista )
    * ReiserFS 3.5, 3.6 and 4
    * Sun Solaris i386 disklabel
    * Unix File System UFS and UFS2 (Sun/BSD/...)
    * XFS, SGI's Journaled File System

%description -l fr
Outil pour vrifier et restaurer des partitions. Fonctionne avec les 
systmes de fichiers suivants :

    * BeFS ( BeOS )
    * BSD disklabel ( FreeBSD/OpenBSD/NetBSD )
    * CramFS (Compressed File System)
    * DOS/Windows FAT12, FAT16 and FAT32
    * HFS et HFS+, Hierarchical File System
    * JFS, Systme de fichier journalis d'IBM
    * Linux Ext2 et Ext3
    * Linux Raid
          o RAID 1: mirroring
          o RAID 4: striped array with parity device
          o RAID 5: striped array with distributed parity information
          o RAID 6: striped array with distributed dual redundancy information 
    * Linux Swap (versions 1 et 2)
    * LVM et LVM2, Linux Logical Volume Manager
    * Netware NSS
    * NTFS ( Windows NT/2K/XP/2003 )
    * ReiserFS 3.5, 3.6 et 4
    * Sun Solaris i386 disklabel
    * UFS et UFS2 (Sun/BSD/...)
    * XFS, Systme de fichier journalis de SGI 

%description -n photorec
PhotoRec is file data recovery software designed to recover lost files
including video, documents and archives from Hard Disks and CDRom and lost
pictures (thus, its 'Photo Recovery' name) from digital camera memory.

PhotoRec ignores the filesystem and goes after the underlying data, so it
will still work even if your media's filesystem has been severely damaged
or re-formatted.


%package -n 	fidentify
Summary:	Data recovery software
Group:		System/Kernel and hardware
Requires:	%{name} = %{version}

%description -n fidentify
Recover lost files from harddisk, digital camera and cdrom
fidentify the file type, the "extension", by using thr same database than PhotoRec.


%prep
%setup -q -a 1 -D -n %{name}-%{version}
%patch0
#%patch1 -p1 -b .exiv2

%build
(
cd progsreiserfs-%ver_progsreiserfs
%configure2_5x --disable-Werror
%make
)

%configure2_5x --with-reiserfs-lib=`pwd`/progsreiserfs-%ver_progsreiserfs/libreiserfs/.libs/ --with-reiserfs-includes=`pwd`/progsreiserfs-%ver_progsreiserfs/include/
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

rm -rf $RPM_BUILD_ROOT/%_docdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog INFO INSTALL NEWS README THANKS doc/*.html
%attr(755,root,root) %{_bindir}/testdisk
%{_mandir}/man8/testdisk*

%files -n photorec
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO INSTALL NEWS README THANKS
%attr(755,root,root) %{_bindir}/photorec
%{_mandir}/man8/photorec*


%files -n fidentify
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INFO INSTALL NEWS README THANKS
%attr(755,root,root) %{_bindir}/fidentify
%{_mandir}/man8/fidentify*



%changelog
* Wed Nov 16 2011 Alexander Khrukin <akhrukin@mandriva.org> 6.13-1mdv2012.0
+ Revision: 731178
- version update to 6.13 removed unneeded patch and spec fixes in files section

* Fri May 06 2011 Oden Eriksson <oeriksson@mandriva.com> 6.11-5
+ Revision: 670677
- mass rebuild

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 6.11-4mdv2011.0
+ Revision: 607989
- rebuild

* Mon Jan 11 2010 Funda Wang <fwang@mandriva.org> 6.11-3mdv2010.1
+ Revision: 489480
- rebuild for new libjpegv8

* Mon Aug 17 2009 Oden Eriksson <oeriksson@mandriva.com> 6.11-2mdv2010.0
+ Revision: 417205
- fix deps
- rebuilt against libjpeg v7

* Mon May 11 2009 Frederik Himpe <fhimpe@mandriva.org> 6.11-1mdv2010.0
+ Revision: 374800
- Update to new version 6.11
- Remove -Werror=format-security patch: not needed anymore
- Add patch from upstream: adding missing boundary check in EXIF processing

* Sat Apr 11 2009 Funda Wang <fwang@mandriva.org> 6.10-1mdv2009.1
+ Revision: 366388
- fix str fmt

* Sat Aug 09 2008 Funda Wang <fwang@mandriva.org> 6.10-1mdv2009.0
+ Revision: 270034
- New version 6.10

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 6.9-3mdv2009.0
+ Revision: 225649
- rebuild

* Mon Feb 18 2008 Frederik Himpe <fhimpe@mandriva.org> 6.9-2mdv2008.1
+ Revision: 172022
- Update to 6.9 final

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Oct 30 2007 Funda Wang <fwang@mandriva.org> 6.9-1mdv2008.1
+ Revision: 103952
- New version 6.9
- Rebuild against latest ntfsprogs

* Wed Aug 15 2007 Pascal Terjan <pterjan@mandriva.org> 6.8-2mdv2008.0
+ Revision: 63741
- Split photorec out of testdisk rpm

* Tue Aug 14 2007 Funda Wang <fwang@mandriva.org> 6.8-1mdv2008.0
+ Revision: 63295
- BR jpeg-devel
- enable parallel build
- New version 6.8

* Thu Jun 28 2007 Pascal Terjan <pterjan@mandriva.org> 6.7-1mdv2008.0
+ Revision: 45334
- 6.7
- Update list of supported filesystems in description

